Skip to main content
GET
List monitor events

Authorizations

Authorization
string
header
required

Bearer token used for request authentication. Alternatively, you can send the API key in the x-api-key header. Note: A payment method is required to use the API.

Path Parameters

id
string
required

The monitor id returned by Create Monitor.

Query Parameters

run_id
string

Only return events from this run.

order_by
enum<string>
default:time_desc

Newest first or oldest first.

Available options:
time_desc,
time_asc
limit
integer
default:20

Maximum number of events to return.

Required range: 1 <= x <= 20
cursor
string

The next_cursor from the previous response. Omit for the first page.

Response

Successful event list response

request_id
string
required

The unique identifier for this request.

code
integer

Business status code. 0 indicates success.

msg
string

A message describing the result.

data
object